Subject: Re: SLIP not working?

From: "Susan G. Kleinmann" <[email-masked]>
Date: Thu, 01 Aug 1996 14:04:09 -0400

Karl Ferguson asked:
> I've compiled SLIP into the kernel (2.0.10), however I get this following
> message in /var/log/daemon.log:
> 
> Aug  1 10:30:49 orion /sliplogin[319]: attaching slip unit sl0 for karl
> Aug  1 10:30:49 orion /sliplogin[319]: /etc/slip.login sl0 9600 319
> 203.22.233.3 203.15.138.211 compressed
> Aug  1 10:30:50 orion modprobe: Can't locate module net-pf-4
> Aug  1 10:20:51 orion modprobe: Can't locate module net-pf-5
> 
> Of course, slip just doesn't seem to work at all.  My question is, where are
> these modules it can't locate - and if I can find them, will it fix this
> problem?
> 

Andrew Howell's explanation was right.

A somewhat amplified answer was provided by Michael Meses in May.
Derek Lee had written"
> When I use ifconfig, I get the error messages:
> 
>       May 22 01:18:19 boson modprobe: Can't locate module net-pf-4
>       May 22 01:18:19 boson modprobe: Can't locate module net-pf-3
>       May 22 01:18:20 boson modprobe: Can't locate module net-pf-5
> 
> Is something missing? I have a PPP connection to the outside world,
> but no local network. 

Michael Meskes responded:
>This is not a bug at all. When calling ifconfig it tries quite a lot of
>possible network interfaces. net-pf-5 is appletalk, net-pf-4 is ipx and
>net-pf-3 is ax.25. If you don't use these add entries
>
>alias net-pf-3 off
>alias net-pf-4 off
>alias net-pf-5 off
>
>to your /etc/conf.modules file and the messages will disappear."

HTH,
Susan Kleinmann
[email-masked]